/**
     *\brief 用来实现QLineEdit的点击响应
     *
     *\author dsc
     */

#ifndef CUSTOMLINEEDIT_H
#define CUSTOMLINEEDIT_H

#include <QLineEdit>

class CustomLineEdit : public QLineEdit
{
    Q_OBJECT

public:
    explicit CustomLineEdit(QWidget* parent = nullptr);

signals:
    void clicked();

protected:
    void mouseDoubleClickEvent(QMouseEvent* event) override;
};

#endif
